<?php
/*
 * @package Joomla 1.5
 * @copyright Copyright (C) 2005 Open Source Matters. All rights reserved.
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
 *
 * @component Avtodispetcher
 * @copyright Copyright (C) Ilya Guk www.avtodispetcher.ru
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 */
defined( '_JEXEC' ) or die( 'Restricted access' );
jimport( 'joomla.filesystem.folder' );
jimport('joomla.version');

//Joomla version 1.6 and later
define("JOOMLA_LEGACY_VERSION"		, false);
define('JOOMLA_MENU_NAME' 			, 'title');
define("JOOMLA_MENU_COMPONENT_ID"	, 'component_id');

function addMenuItems()
{
	$db = JFactory::getDBo();

	// Menu alredy exists
	$query 	= 'SELECT * FROM #__menu WHERE published=1 AND link LIKE "%option=com_avtodispetcher%"';
 	$db->setQuery($query);
    $menus 	= $db->loadAssocList();
    if (count($menus)>0) return true;

	// Component alredy installed
	$query 	= 'SELECT * FROM #__extensions WHERE  `element` = "com_avtodispetcher"';
	$db->setQuery( $query );
    $c 	= $db->loadAssoc();
    if (count($c)>0) return true;


	$query 	= 'SELECT auto_increment as extension_id FROM information_schema.tables WHERE table_name="'.$db->getPrefix().'extensions"';
	$db->setQuery( $query );
   	$component 	= $db->loadAssoc();

	// Get new component id.
    //$component		= JComponentHelper::getComponent('com_avtodispetcher');

	$component_id	= 0;
	if (is_array($component) && (isset($component['extension_id'])))
	{
		$component_id 	= $component['extension_id'];
	}

    echo 'component_id='.$component_id;

	// Component not found ?
	if ($component_id ==0) return false;

	$column_name	= JOOMLA_MENU_NAME;
	$column_cid		= JOOMLA_MENU_COMPONENT_ID;

	jimport('joomla.application.application');
	$defaultMenuType	= JApplication::getInstance('site')->getMenu()->getDefault('workaround_joomla_bug')->menutype;

	$query 	= 'SELECT ordering  FROM  #__menu ORDER BY ordering DESC LIMIT 1';
	$db->setQuery( $query );
	$order 	= $db->loadResult() + 1;


	// Update the existing menu items.
	$row		= JTable::getInstance ( 'menu', 'JTable' );

	$row->menutype = $defaultMenuType;
	$row->$column_name = 'Расчет Расстояний';
	$row->alias = 'avtodispetcher';
	$row->link = 'index.php?option=com_avtodispetcher&view=distance';
	$row->type = 'component';
	$row->published = '1';
	$row->$column_cid = $component_id;
	$row->ordering = $order;
	$row->id = null; //new item

	if (!JOOMLA_LEGACY_VERSION)
	{
		$row->language	= '*';
	}
	$row->check();

	if(!$row->store())
	{
		return false;
	}

	//for version 1.6 only. The parent_id is not updated correctly via JTable
	if (!JOOMLA_LEGACY_VERSION)
	{
		$query = 'UPDATE '. $db->nameQuote( '#__menu' )
				 . ' SET `parent_id` = ' .$db->quote(1)
				 . ', `level` = ' . $db->quote(1)
				 . ' WHERE `id` = ' . $db->quote($row->id) ;
		$db->setQuery( $query );
		$db->query();
		if($db->getErrorNum())
		{
			return false;
		}
	}
	return true;
}

function com_install()
{
    $r = addMenuItems();
}
?>