<?php
// no direct access
defined('_JEXEC') or die;

$calculatorWidthString = $this->params->get('a_width');
if (strlen($calculatorWidthString) > 0) {
    // integer in pixels, 100% otherwise
    if (intval($calculatorWidthString) != $calculatorWidthString) {
        $calculatorWidthString = "'100%'";
    }
}

$calculatorDefaultFromString = $this->params->get('a_default_from');
$calculatorDefaultToString = $this->params->get('a_default_to');
$calculatorCurrencyString = $this->params->get('a_currency');
$defaultFuelPriceInteger = intval($this->params->get('a_default_fuel_price'));
$defaultFuelChargeInteger = intval($this->params->get('a_default_fuel_charge'));
$isMapEnabledBoolean = intval($this->params->get('a_map_enabled', 1)) > 0;
$isFuelCalcEnabledBoolean = intval($this->params->get('a_fuel_calc_enabled', 1)) > 0;
$isPrintLinkEnabledBoolean = intval($this->params->get('a_print_link_enabled', 1)) > 0;
$isExtraSettingsEnabledBoolean = intval($this->params->get('a_extra_enabled', 1)) > 0;
$isRouteDetailsEnabledBoolean = intval($this->params->get('a_details_enabled', 1)) > 0;

$aa = unserialize(base64_decode(JText::_('COM_AVTODISPETCHER_DC_LICENCE_KEY')));
$uri = JFactory::getURI();
?>

<?php if ($this->params->get('show_page_heading')) : ?>
    <h1><?php echo $this->escape($this->params->get('page_heading')) ?></h1>
<?php endif ?>

<a href="<?php echo $aa[abs(crc32(md5($uri->__toString()))) % count($aa)] ?>" id="avtd-embed-link">https://www.avtodispetcher.ru/distance/</a>

<script>var _avtdq = [['language', '<?php echo JText::_( 'COM_AVTODISPETCHER_LANG_CODE') ?>']];</script>

<?php if (strlen($calculatorDefaultFromString) > 0) : ?>
    <script>_avtdq.push('default_from', '<?php echo $calculatorDefaultFromString ?>');</script>
<?php endif ?>

<?php if (strlen($calculatorDefaultToString) > 0) : ?>
    <script>_avtdq.push('default_to', '<?php echo $calculatorDefaultToString ?>');</script>
<?php endif ?>

<?php if (strlen($calculatorWidthString) > 0) : ?>
    <script>_avtdq.push('width', <?php echo $calculatorWidthString ?>);</script>
<?php endif ?>

<?php if (strlen($calculatorCurrencyString) > 0) : ?>
    <script>_avtdq.push('currency', '<?php echo $calculatorCurrencyString ?>');</script>
<?php endif ?>

<?php if ($defaultFuelPriceInteger > 0) : ?>
    <script>_avtdq.push('default_fuel_price', <?php echo $defaultFuelPriceInteger ?>);</script>
<?php endif ?>

<?php if ($defaultFuelChargeInteger > 0) : ?>
    <script>_avtdq.push('default_fuel_charge', <?php echo $defaultFuelChargeInteger ?>);</script>
<?php endif ?>

<?php if (!$isMapEnabledBoolean) : ?>
    <script>_avtdq.push('enable_map', false);</script>
<?php endif ?>

<?php if (!$isFuelCalcEnabledBoolean) : ?>
    <script>_avtdq.push('enable_fuel_calc', false);</script>
<?php endif ?>

<?php if (!$isPrintLinkEnabledBoolean) : ?>
    <script>_avtdq.push('enable_print_link', false);</script>
<?php endif ?>

<?php if (!$isExtraSettingsEnabledBoolean) : ?>
    <script>_avtdq.push('enable_extra_settings', false);</script>
<?php endif ?>

<?php if (!$isRouteDetailsEnabledBoolean) : ?>
    <script>_avtdq.push('enable_route_details', false);</script>
<?php endif ?>

<script src="//www.avtodispetcher.ru/distance/export/frame.js" async="async"></script>

<?php echo JText::_('COM_AVTODISPETCHER_DC_BOTTOM_DESCRIPTION') ?>